=== debian/changelog ===
ros-iron-rcl-yaml-param-parser (6.0.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (6.0.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 May 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (6.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (6.0.0-1jammy) jammy; urgency=high

  * Fix some warnings from clang. (#1042 <https://github.com/ros2/rcl/issues/1042>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.9.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.8.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 22 Feb 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.7.0-1jammy) jammy; urgency=high

  * Cleanup the dependencies in rcl_yaml_param_parser. (#1014 <https://github.com/ros2/rcl/issues/1014>)
  * Update rcl to C++17. (#1031 <https://github.com/ros2/rcl/issues/1031>)
  * Support yaml string tag '!!str' (#999 <https://github.com/ros2/rcl/issues/999>)
  * Contributors: Barry Xu, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.6.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#1017 <https://github.com/ros2/rcl/issues/1017>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 04 Dec 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.5.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.4.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.4.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.3.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.3.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.2.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.2.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.1.0-1jammy) jammy; urgency=high

  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (5.0.0-1jammy) jammy; urgency=high

  * Update maintainers to Ivan Paunovic and William Woodall (#952 <https://github.com/ros2/rcl/issues/952>)
  * Tweak rcl_yaml_param_parser documentation (#939 <https://github.com/ros2/rcl/issues/939>)
  * Contributors: Audrow Nash, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (4.0.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 15 Sep 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.2.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Sep 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.1.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.1.0-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (3.0.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 22 Mar 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (2.6.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (2.5.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (2.5.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (2.5.0-1jammy) jammy; urgency=high

  * Enable compiler warnings (#831 <https://github.com/ros2/rcl/issues/831>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Rearrange test logic to avoid reference to null (#862 <https://github.com/ros2/rcl/issues/862>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to initialize the end_mark for yaml_event_t (#849 <https://github.com/ros2/rcl/issues/849>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rcl-yaml-param-parser (2.4.0-1jammy) jammy; urgency=high

  * Check for valid node names in parameters files (#809 <https://github.com/ros2/rcl/issues/809>)

